Skip to main content
API referenceRegistry

Registry Leaderboards

Last updated

GET
/api/v1/registry/leaderboards

Fetch registry leaderboards computed live from D1 + registry projections + the economics tier. Operational boards: healthiest, fastest-rpc, most-complete, most-enriched, fastest-growing, most-reliable. Economic opportunity boards (for miners/validators): open-slots, cheapest-registration, highest-emission, validator-headroom, biggest-alpha-gain-1d, biggest-alpha-gain-7d. Omit board for all boards.

Query Parameters

board?string

Value in

  • "healthiest"
  • "fastest-rpc"
  • "most-complete"
  • "most-enriched"
  • "fastest-growing"
  • "most-reliable"
  • "open-slots"
  • "cheapest-registration"
  • "highest-emission"
  • "validator-headroom"
  • "biggest-alpha-gain-1d"
  • "biggest-alpha-gain-7d"
limit?integer
Range1 <= value <= 100

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/registry/leaderboards"
{  "data": {    "board": "example",    "boards": {      "example": [        {}      ]    },    "observed_at": "2026-06-01T00:00:00.000Z",    "schema_version": 1,    "source": "live-cron-prober"  },  "meta": {    "artifact_path": "example",    "cache": "short",    "contract_version": "2026-06-29.1",    "generated_at": "2026-06-01T00:00:00.000Z",    "pagination": {      "collection": "example",      "cursor": 1,      "limit": 1,      "next_cursor": 1,      "order": "asc",      "returned": 1,      "sort": "example",      "total": 1    },    "published_at": "2026-06-01T00:00:00.000Z",    "source": "live-cron-prober",    "stale_contract": {      "built_under": "example",      "live": "example"    }  },  "ok": true,  "schema_version": 1}